## xb-string

xb-string

## Functions

void | xb_string_append_union ()
gchar * | xb_string_escape ()

## Description

## Functions

### xb_string_append_union ()

    void
    xb_string_append_union (GString *xpath,
                            const gchar *fmt);

Appends an XPath query into the string, automatically adding the union operator (`|`) if required.

#### Parameters

xpath | The GString to operate on |
fmt | The format string |
... | varargs for `fmt` |

Since: 0.1.2

### xb_string_escape ()

    gchar *
    xb_string_escape (const gchar *str);

`xb_string_escape` is deprecated and should not be used in newly-written code.

Escapes XPath control sequences such as newlines, tabs, and forward slashes.

#### Parameters

str | string, e.g. `app/org.gnome.ghex/x86_64/stable` |

#### Returns

new string that is safe to use for queries.

[transfer full]

Since: 0.1.2